<?php

namespace App\Form;

use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\PasswordType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

/**
 * Security : sign-in form
 *
 * @package App\Form
 */
class SecuritySignInForm extends AbstractBootstrapForm {
    /**
     * @inheritDoc
     */
    public function buildForm (FormBuilderInterface $builder, array $options) {
        parent::buildForm($builder, $options);

        $builder
            ->add(
                'email',
                EmailType::class,
                [
                    'label_format' => 'user.email',
                ]
            )
            ->add(
                'password',
                PasswordType::class,
                [
                    'label_format' => 'user.password',
                ]
            )
            ->add(
                '_remember_me',
                CheckboxType::class,
                [
                    'label_format' => 'sign.remember_me',
                    'required'     => false,
                ]
            );
    }

    /**
     * @inheritDoc
     */
    public function configureOptions (OptionsResolver $resolver) {
        parent::configureOptions($resolver);

        $resolver->setDefault('translation_domain', 'security');
    }
}